package com.neusoft.smart.pos.address.persistent.mapper;

import com.neusoft.smart.pos.address.persistent.domain.UserCargoAddress;
import com.neusoft.smart.pos.address.persistent.domain.UserCargoAddressExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface UserCargoAddressMapper {
    int countByExample(UserCargoAddressExample example);

    int deleteByExample(UserCargoAddressExample example);

    int deleteByPrimaryKey(Integer addressId);

    int insert(UserCargoAddress record);

    int insertSelective(UserCargoAddress record);

    List<UserCargoAddress> selectByExample(UserCargoAddressExample example);

    UserCargoAddress selectByPrimaryKey(Integer addressId);

    int updateByExampleSelective(@Param("record") UserCargoAddress record, @Param("example") UserCargoAddressExample example);

    int updateByExample(@Param("record") UserCargoAddress record, @Param("example") UserCargoAddressExample example);

    int updateByPrimaryKeySelective(UserCargoAddress record);

    int updateByPrimaryKey(UserCargoAddress record);

    void batchInsert(@Param("items") List<UserCargoAddress> items);
}